Linkedin-Search-Job-Scraper is a python library to search keyword in jobs and then scrape jobs data on linkedin using browser automation. 
It currently runs only on windows.

### Example
In this example we first import library, then we login with cookies and then search and scrape data of a jobs.
```sh
from linkedin_search_job_scraper import *
linkedin.login_cookie(cookies=list_of_cookies)
true=True;false=False
list_of_cookies=[
{
    "domain": ".linkedin.com",
    "expirationDate": 1676463230,
    "hostOnly": false,
    "httpOnly": false,
    "name": "_ga",
    "path": "/",
    "sameSite": "unspecified",
    "secure": false,
    "session": false,
    "storeId": "0",
    "value": "GA1.2.1029585723.1610264105",
    "id": 1
}]
#please replace the above sample cookies with your cookies, can see below link of how to fetch cookies
linkedin.search_jobs(keyword='python developer')
linkedin.enter_job_location(location='Mohali')#optional
response=linkedin.jobs_results()
data=response['body']
#data=[{"Link": "https://www.linkedin.com/jobs/view/2394516971/?eBP=CwEAAAF3qO24GzyO6hmHonmM-cbExf9U2mhw5w9Y7lh31hVOBjsrRB86ewI_xcwRAHbhaOOS8As8TOgBKRwf2ev1okdmrsDTsRLV2zOCzj4fZm92MON_jAS5NXBk-u2wmqZSUTjGlHDqVu0wlT6LGDM99JlrEyMK4yM5ReLLMaGbe1zN9ziVJirAs6afEO38hiIMByGRYFmjVHCxrbPQKa90MUVJiX0SEEK53eyb1s_PbqKd2wZ1xuA2C9Cd7sTUsWyq8dR-U7nmnThKBS_tmT1QprkjOuPVlXY3nP_vZ4UNTn_TxZEbGG7Ypa7ZXktaJ8LQ1fDrqrRjLyffBsAL5yrwGCWKR6Lz7Vwdn_jNbQ&recommendedFlavor=ACTIVELY_HIRING_COMPANY&refId=9YZUzj0jO3uA2%2BEEQoQsrw%3D%3D&trackingId=q5bZ%2F0QHoPAvGKo3k7PMLQ%3D%3D&trk=flagship3_search_srp_jobs&lipi=urn%3Ali%3Apage%3Ad_flagship3_search_srp_jobs%3BExcanYLfSaKw%2BxSSDh42NQ%3D%3D&lici=q5bZ%2F0QHoPAvGKo3k7PMLQ%3D%3D"}]
```

This module depends on the following python modules
* [requests](https://pypi.org/project/requests/)
* [bot_studio](https://pypi.org/project/bot_studio/)

#### BotStudio
[bot_studio](https://pypi.org/project/bot_studio/) is needed for browser automation. As soon as this library is imported in code, automated browser will open up. Complete documentation for Linkedin Automation available [here](https://linkedin-api.datakund.com/en/latest/)

### Installation

```sh
pip install linkedin-search-job-scraper
```

### Import
```sh
from linkedin_search_job_scraper import *
```

### Login with credentials
```sh
linkedin.login(username="linkedin username",password="linkedin password")
```

### Login with cookies
```sh
linkedin.login_cookie(cookies=list_of_cookies)
```

### Search in Jobs
```sh
linkedin.search_jobs(keyword='search keyword')
```

### Get Search Results
```sh
response=linkedin.jobs_results()
data=response['body']
```

### Send Feedback to Developers
```sh
bot_studio.send_feedback(feedback="Need help with this ......")
```

### Cookies
To login with cookies [Edit this Cookie Extension](https://chrome.google.com/webstore/detail/editthiscookie/fngmhnnpilhplaeedifhccceomclgfbg?hl=en) can be added to browser. Please check [this](https://abhishek-chaudhary.medium.com/how-to-get-cookies-of-any-website-from-browser-22b3d6348ed2) link how to get cookies to login to your linkedin.

### Contact Us
* [Telegram](https://t.me/datakund)
* [Website](https://datakund.com)

